---
title: llarp::rpc::RPCRequest

---

# llarp::rpc::RPCRequest





Inherited by [llarp::rpc::Exit](Classes/structllarp_1_1rpc_1_1Exit.md), [llarp::rpc::Immediate](Classes/structllarp_1_1rpc_1_1Immediate.md), [llarp::rpc::LookupSnode](Classes/structllarp_1_1rpc_1_1LookupSnode.md), [llarp::rpc::NoArgs](Classes/structllarp_1_1rpc_1_1NoArgs.md), [llarp::rpc::QuicConnect](Classes/structllarp_1_1rpc_1_1QuicConnect.md), [llarp::rpc::QuicListener](Classes/structllarp_1_1rpc_1_1QuicListener.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[is_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-is-bt)**() const |
| void | **[set_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-set-bt)**() |
| void | **[send_response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-send-response)**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| nlohmann::json | **[response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response)**  |
| [llarp::rpc::json_binary_proxy](Classes/classllarp_1_1rpc_1_1json__binary__proxy.md) | **[response_hex](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-hex)**  |
| [llarp::rpc::json_binary_proxy](Classes/classllarp_1_1rpc_1_1json__binary__proxy.md) | **[response_b64](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-b64)**  |
| std::optional< oxenmq::Message::DeferredSend > | **[replier](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-replier)**  |

## Public Functions Documentation

### function is_bt

```cpp
inline bool is_bt() const
```


### function set_bt

```cpp
inline void set_bt()
```


### function send_response

```cpp
inline void send_response()
```


## Public Attributes Documentation

### variable response

```cpp
nlohmann::json response;
```


### variable response_hex

```cpp
llarp::rpc::json_binary_proxy response_hex {response, llarp::rpc::json_binary_proxy::fmt::hex};
```


### variable response_b64

```cpp
llarp::rpc::json_binary_proxy response_b64 {
        response, llarp::rpc::json_binary_proxy::fmt::base64};
```


### variable replier

```cpp
std::optional< oxenmq::Message::DeferredSend > replier;
```


-------------------------------

Updated on 2023-01-23 at 22:05:55 +0000